Bug 543147 - Review Request: mingw32-SDL_image - MinGW Windows port of the Image loading library for SDL
Summary: Review Request: mingw32-SDL_image - MinGW Windows port of the Image loading l...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik van Pienbroek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-01 19:17 UTC by Stefan Riemens
Modified: 2010-11-19 22:35 UTC (History)
7 users (show)

Fixed In Version: mingw32-SDL_image-1.2.10-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-19 22:35:07 UTC
erik-fedora: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Stefan Riemens 2009-12-01 19:17:36 UTC
Spec URL: http://riemens.org/fs/temp/mingw32-SDL_image.spec
SRPM URL: mingw32-SDL_image-1.2.7-1.fc12.src.rpm
Description:
Simple DirectMedia Layer (SDL) is a cross-platform multimedia library
designed to provide fast access to the graphics frame buffer and audio
device.  This package contains a simple library for loading images of
various formats (BMP, TIF, JPEG, PNG) as SDL surfaces.

%{_mingw32_description}

Note: see also http://www.mail-archive.com/fedora-mingw@lists.fedoraproject.org/msg01505.html

Thanks,
Stefan

Comment 1 Stefan Riemens 2009-12-01 19:30:11 UTC
Forgot to mention the koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=1841893

Thanks,
Stefan

Comment 2 Peter Lemenkov 2009-12-21 09:53:38 UTC
SDL_image 1.2.10 is available, but you packaged 1.2.7. Is it intentional?

Comment 3 Stefan Riemens 2009-12-21 11:36:10 UTC
yes, that is intentional, because the native version is also at 1.2.7 and according to the mingw packaging guidelines, mingw packages should be at the same version as the native packages. Thanks for looking at it though!

Comment 4 Jason Woofenden 2010-01-25 04:51:45 UTC
What is the status of getting this package into Fedora?

I assume most programs that use SDL also use SDL_image.

Comment 5 Stefan Riemens 2010-09-25 09:44:14 UTC
New version:
spec url: http://riemens.mine.nu:8080/mingw32-SDL_image.spec
srpm: http://riemens.mine.nu:8080/mingw32-SDL_image-1.2.10-0.fc13.src.rpm

Update to new upstream version, matching the native version currently in fedora

Comment 6 Erik van Pienbroek 2010-09-27 11:35:34 UTC
Taking this for review.
My comments from bug 543154 (mingw32-SDL_mixer) also apply to this package.

In addition, is the line mkdir -p $RPM_BUILD_ROOT%{_bindir} really necessary? It doesn't make sense to me to create an empty %{_bindir} which isn't used in the rest of the .spec file

Comment 7 Stefan Riemens 2010-10-19 20:03:41 UTC
Updated versions:
http://riemens.mine.nu:8080/mingw32-SDL_image.spec (same location)
http://riemens.mine.nu:8080/mingw32-SDL_image-1.2.10-1.fc13.src.rpm

Thanks,
Stefan

Comment 8 Erik van Pienbroek 2010-10-19 21:15:21 UTC
$ rpmlint mingw32-SDL_image.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint mingw32-SDL_image-1.2.10-1.fc14.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint mingw32-SDL_image-1.2.10-1.fc14.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


$ curl http://www.libsdl.org/projects/SDL_image/release/SDL_image-1.2.10.tar.gz | md5sum
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 1301k  100 1301k    0     0   451k      0  0:00:02  0:00:02 --:--:--  484k
6c06584b31559e2b59f2b982d0d1f628  -
$ md5sum SDL_image-1.2.10.tar.gz 
6c06584b31559e2b59f2b982d0d1f628  SDL_image-1.2.10.tar.gz

$ rpmquery --requires mingw32-SDL_image
pkgconfig  
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
mingw32-filesystem >= 62
mingw32-runtime  
mingw32(kernel32.dll)  
mingw32(libjpeg-7.dll)  
mingw32(libpng14-14.dll)  
mingw32(libtiff-3.dll)  
mingw32(msvcrt.dll)  
mingw32(sdl.dll)  
rpmlib(PayloadIsXz) <= 5.2-1

$ rpmquery --provides mingw32-SDL_image
mingw32(sdl_image.dll)  
mingw32-SDL_image = 1.2.10-1.fc14

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2544221


+ OK
! Needs to be looked into
/ Not applicable
* Overridden by MinGW guidelines

[+] Files are installed in /usr/i686-pc-mingw32/sys-root/mingw
[+] BuildRequires: mingw32-filesystem >= xx is in the .spec file
[+] Requires are OK
[+] BuildArch: noarch
[+] No man pages or info files
[+] default strip and objdump commands are overridden with mingw32 specific ones


[+] rpmlint must be run on every package. The output should be posted in the review
[+] MUST: The package must be named according to the Package Naming Guidelines
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption on Package Naming Guidelines
[+] MUST: The package must meet the Packaging Guidelines
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
[+] MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.
[+] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines; inclusion of those as B ildRequires is optional.
[/] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[*] MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
[/] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package.
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ).
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines .
[+] MUST: The package must contain code, or permissable content.
[/] MUST: Large documentation files should go in a -doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[*] MUST: Header files must be in a -devel package.
[/] MUST: Static libraries must be in a -static package.
[+] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
[*] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[*] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
[*] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[/] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ). See Prepping BuildRoot For %install for details.
[+] MUST: All filenames in rpm packages must be valid UTF-8.
[/] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[/] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock. See MockTricks for details on how to do this.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[/] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[/] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[/] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[*] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg.
[*] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.


=======================================================
 The package mingw32-SDL_image is APPROVED by epienbro
=======================================================

Comment 9 Stefan Riemens 2010-10-22 08:29:03 UTC
New Package SCM Request
=======================
Package Name: mingw32-SDL_image
Short Description: MinGW Windows port of the Image loading library for SDL
Owners: stefanriemens 
Branches: f13 f14
InitialCC: mingw-maint

Comment 10 Kevin Fenzi 2010-10-25 18:40:32 UTC
WARNING: "mingw-maint" is not a valid FAS account.

Did you want to setup such an alias/account?

Comment 11 Stefan Riemens 2010-10-25 19:34:55 UTC
No, I'm sorry. I thought this was the correct way to have all bugs get reported to the mingw mailinglist, which I recalled to be desired. I can't find that instruction anymore though. Please use the the request below.

Comment 12 Stefan Riemens 2010-10-25 19:35:14 UTC
New Package SCM Request
=======================
Package Name: mingw32-SDL_image
Short Description: MinGW Windows port of the Image loading library for SDL
Owners: stefanriemens 
Branches: f13 f14
InitialCC:

Comment 13 Itamar Reis Peixoto 2010-10-26 03:50:28 UTC
I think you can add EL-* (5 - 6) branches

Comment 14 Jens Petersen 2010-10-28 08:50:31 UTC
Git done (by process-git-requests).

Comment 15 Erik van Pienbroek 2010-11-07 00:09:43 UTC
As the git repository has now been created you can upload the package there and build it. Instructions about this can be found at https://fedoraproject.org/wiki/PackageMaintainers/Join#Check_out_the_module

Comment 16 Fedora Update System 2010-11-09 10:38:20 UTC
mingw32-SDL_image-1.2.10-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mingw32-SDL_image-1.2.10-1.fc13

Comment 17 Fedora Update System 2010-11-10 01:12:19 UTC
mingw32-SDL_image-1.2.10-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mingw32-SDL_image'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/mingw32-SDL_image-1.2.10-1.fc13

Comment 18 Fedora Update System 2010-11-19 22:35:02 UTC
mingw32-SDL_image-1.2.10-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.